# Uses of Class
org.apache.lucene.index.CheckIndex.Status.VectorValuesStatus

Packages that use CheckIndex.Status.VectorValuesStatus
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

## Uses of CheckIndex.Status.VectorValuesStatus in org.apache.lucene.index

Fields in org.apache.lucene.index declared as CheckIndex.Status.VectorValuesStatus
Modifier and Type
Field
Description
`CheckIndex.Status.VectorValuesStatus`
CheckIndex.Status.SegmentInfoStatus.`vectorValuesStatus`
Status of vectors
Methods in org.apache.lucene.index that return CheckIndex.Status.VectorValuesStatus
Modifier and Type
Method
Description
`static CheckIndex.Status.VectorValuesStatus`
CheckIndex.`testVectors(CodecReader reader, PrintStream infoStream, boolean failFast)`
Test the vectors index.